import Vue from 'vue';

async function getAudioContentSeriesList(page) {
    return Vue.axios.get("/admin/audio-content/series?page=" + (page - 1) + "&size=10");
}

async function getAudioContentSeriesGenreList() {
    return Vue.axios.get('/admin/audio-content/series/genre');
}

async function createAudioContentSeriesGenre(genre, is_adult) {
    return Vue.axios.post('/admin/audio-content/series/genre', {genre: genre, isAdult: is_adult})
}

async function updateAudioContentSeriesGenre(request) {
    return Vue.axios.put('/admin/audio-content/series/genre', request)
}

async function updateAudioContentSeriesGenreOrders(ids) {
    return Vue.axios.put('/admin/audio-content/series/genre/orders', {ids: ids})
}

async function searchSeriesList(searchWord) {
    return Vue.axios.get("/admin/audio-content/series/search?search_word=" + searchWord)
}

export {
    getAudioContentSeriesList,
    getAudioContentSeriesGenreList,
    createAudioContentSeriesGenre,
    updateAudioContentSeriesGenre,
    updateAudioContentSeriesGenreOrders,
    searchSeriesList
}
