import Vue from 'vue';

async function enrollment(formData) {
    return Vue.axios.post('/admin/audio-content/theme', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function getThemes() {
    return Vue.axios.get('/admin/audio-content/theme');
}

async function deleteTheme(themeId)  {
    return Vue.axios.delete('/admin/audio-content/theme/' + themeId)
}

async function updateThemeOrders(ids) {
    return Vue.axios.put('/admin/audio-content/theme/orders', { ids: ids })
}

export { enrollment, getThemes, deleteTheme, updateThemeOrders }
