import Vue from 'vue';

async function createSituation(formData) {
    return Vue.axios.post('/recommend_situation', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    })
}

async function getSituationList() {
    return Vue.axios.get('/recommend_situation/admin')
}

async function modifySituation(id, formData) {
    return Vue.axios.put('/recommend_situation/' + id, formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    })
}

async function deleteSituation(id) {
    return Vue.axios.delete('/recommend_situation/' + id)
}

export { createSituation, getSituationList, modifySituation, deleteSituation }
