import Vue from 'vue';

async function save(formData) {
    return Vue.axios.post('/admin/event/banner', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function modify(formData) {
    return Vue.axios.put('/admin/event/banner', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function deleteEvent(id) {
    return Vue.axios.delete("/admin/event/banner/" + id)
}

async function getEvents() {
    return Vue.axios.get("/admin/event/banner")
}

export {save, modify, deleteEvent, getEvents}
