import Vue from 'vue';

async function getSignatureList(page, sort) {
    return Vue.axios.get('/admin/live/signature-can?page=' + (page - 1) + "&size=20" + "&sort-type=" + sort);
}

async function createSignature(formData) {
    return Vue.axios.post('/admin/live/signature-can', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function modifySignature(formData) {
    return Vue.axios.put('/admin/live/signature-can', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

export { getSignatureList, createSignature, modifySignature }
